import { WarpModalFooter, WarpModal, WarpModalHeader } from './index.js';
export declare const Modal: import("@lit/react").ReactWebComponent<WarpModal, {
    onShown: string;
    onshown: string;
    onHidden: string;
    onhidden: string;
}>;
export declare const ModalHeader: import("@lit/react").ReactWebComponent<WarpModalHeader, {
    onBackClicked: string;
    onbackClicked: string;
}>;
export declare const ModalFooter: import("@lit/react").ReactWebComponent<WarpModalFooter, {}>;
